curl --request PATCH \
--url https://api.hubapi.com/crm-object-schemas/2026-03/schemas/{objectType} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clearDescription": true,
"allowsSensitiveProperties": true,
"description": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"primaryDisplayProperty": "<string>",
"requiredProperties": [
"<string>"
],
"restorable": true,
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
]
}
'{
"allowsSensitiveProperties": true,
"archived": true,
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"portalId": 123,
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Update attributes of a custom object schema, such as properties and labels, using the object type ID or fully qualified name.
curl --request PATCH \
--url https://api.hubapi.com/crm-object-schemas/2026-03/schemas/{objectType} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clearDescription": true,
"allowsSensitiveProperties": true,
"description": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"primaryDisplayProperty": "<string>",
"requiredProperties": [
"<string>"
],
"restorable": true,
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
]
}
'{
"allowsSensitiveProperties": true,
"archived": true,
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"portalId": 123,
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Indicates whether the description of the object type should be cleared.
Determines if the object type can include properties that are marked as sensitive.
A brief explanation of the object type.
Show child attributes
The name of the primary property for this object. This will be displayed as primary on the HubSpot record page for this object type.
The names of properties that should be required when creating an object of this type.
Specifies if the object type can be restored after being deleted.
Names of properties that will be indexed for this object type in by HubSpot's product search.
The names of secondary properties for this object. These will be displayed as secondary on the HubSpot record page for this object type.
successful operation
Indicates whether the object type allows properties that contain sensitive data.
Indicates whether the object type is archived.
An assigned unique ID for the object, including portal ID and object name.
A unique ID for this object type. Will be defined as {meta-type}-{unique ID}.
Show child attributes
A unique name for this object. For internal use only.
A unique identifier for the object type.
The names of properties that should be required when creating an object of this type.
Names of properties that will be indexed for this object type in by HubSpot's product search.
The names of secondary properties for this object. These will be displayed as secondary on the HubSpot record page for this object type.
When the object type was created.
A description of the object type.
The ID of the account that this object type is specific to.
The name of the primary property for this object. This will be displayed as primary on the HubSpot record page for this object type.
When the object type was last updated.
Was this page helpful?